Subject: Re: [PATCH 3/4] mac80211-hwsim: Pass rate-ctrl flags and tx-power to user-space

From: Johannes Berg <[email-masked]>
Date: Tue, 14 Apr 2015 10:15:45 +0200

On Fri, 2015-04-03 at 14:12 -0700, [email-masked] wrote:

> +/* Auxilary info to allow user-space to better understand the rate */
> +struct hwsim_tx_rate2 {
> +	u16 rc_flags; /* rate-ctrl flags (see mac80211_rate_control_flags) */

I really don't like this - it ties internal API to userspace API. You
may argue that this is userspace that is for debug purposes only, but
I'm sure you'll also scratch your head very confused when I change the
rate control flags for any reason and your code breaks :)

johannes